'/* - Demo Program ------------------------------------------------------- */'
'/*                                                                        */'
'/* This demo program will demostrate all the available features programmed*/'
'/* into the 'YPI Font Collection v1.0'.                                   */'
'/*                                                                        */'
'/* This program should be loaded into Qbasic 4.5 with the following line  */'
'/*                                                                        */'
'/*                      QB DEMO.BAS /L YPF.QLB                            */'
'/*                                                                        */'
'/* If you have loaded this demo program in this way, then just run the    */'
'/* program and see what features have been built into this font collection*/'
'/*                                                                        */'
'/*                                                      YPI December 1999 */'
'/* - Creator ------------------------------------------------------------ */'
'/*                                                                        */'
'/* The 'YPI Font Collection v1.0 was developed by YPI and these font      */'
'/* routines are public domain (freely usable and distributed) so please   */'
'/* try them out and let us know what you think.                           */'
'/* philipz85@hotmail.com                                                  */'
'/* http://members.xoom.com/Philipz/                                       */'
'/* ---------------------------------------------------------------------- */'

'$INCLUDE: 'ypf.bi'

'/* Reserving Memory of standard YPF fonts                                 */'
DIM Courrier$(32 TO 126), Lucida$(32 TO 126), Helvetica$(32 TO 126)
DIM NewCentury$(32 TO 126), TimesRoman$(32 TO 126), CharterRoman$(32 TO 126)

'/* Reserving Memory of Xplosion Software YPF fonts                        */'
DIM Hitek$(32 TO 126), Micro$(32 TO 126), Modern$(32 TO 126)
DIM Mythical$(32 TO 126), Qbasic$(32 TO 126)

'/* Reserving Memory of standard YPF fonts                                 */'
DIM FontPrintz AS FontProperties
DIM FontPrintx AS FontProperties, FontPrinty AS FontProperties

t! = TIMER
A = LoadFont("helvr12.ypf", Helvetica$())
A = LoadFont("ncenr12.ypf", NewCentury$())
A = LoadFont("timr12.ypf", TimesRoman$())
A = LoadFont("charr12.ypf", CharterRoman$())
A = LoadFont("courr12.ypf", Courrier$())
A = LoadFont("lutrs12.ypf", Lucida$())
A = LoadFont("modern.ypf", Modern$())
A = LoadFont("mythical.ypf", Mythical$())
A = LoadFont("hitek.ypf", Hitek$())
A = LoadFont("qbasic.ypf", Qbasic$())
A = LoadFont("micro.ypf", Micro$())
t! = TIMER - t!

SCREEN 13
LINE (0, 0)-(319, 199), 1, BF

LOCATE 5, 4: PRINT " Have You Been Looking For Good "
LOCATE 7, 12: PRINT " Font Routines? "

SLEEP 3
FontPrintz.Text = "Well Look No Further!!"
CALL SetFontProperties(FontPrintz, 65, 100, 2, -1, 0, 0, 1)
CALL FontPrint(FontPrintz, TimesRoman$())

SLEEP 3
LINE (0, 0)-(319, 199), 1, BF

FontPrintz.Text = "YPI (Basic Programming Inc.) has come"
CALL SetFontProperties(FontPrintz, 5, 20, 2, -1, 0, 0, 1)
CALL FontPrint(FontPrintz, TimesRoman$())

FontPrintz.YPosition = 34
FontPrintz.Text = "out with font routines for use with"
CALL FontPrint(FontPrintz, TimesRoman$())

FontPrintz.YPosition = 48
FontPrintz.Text = "graphics screens. Included with these"
CALL FontPrint(FontPrintz, TimesRoman$())

FontPrintz.YPosition = 62
FontPrintz.Text = "font routines, we have provided 6 fonts"
CALL FontPrint(FontPrintz, TimesRoman$())

FontPrintz.YPosition = 76
FontPrintz.Text = "for you to use with your programs."
CALL FontPrint(FontPrintz, TimesRoman$())

FontPrintz.YPosition = 100
FontPrintz.FgndColor = 32
FontPrintz.Text = "Helvetica"
CALL FontPrint(FontPrintz, Helvetica$())

FontPrintz.YPosition = 115
FontPrintz.FgndColor = 33
FontPrintz.Text = "New Century Schoolbook Roman"
CALL FontPrint(FontPrintz, NewCentury$())

FontPrintz.YPosition = 130
FontPrintz.FgndColor = 34
FontPrintz.Text = "Times New Roman"
CALL FontPrint(FontPrintz, TimesRoman$())

FontPrintz.YPosition = 145
FontPrintz.FgndColor = 35
FontPrintz.Text = "Bit stream Charter Roman"
CALL FontPrint(FontPrintz, CharterRoman$())

FontPrintz.YPosition = 160
FontPrintz.FgndColor = 36
FontPrintz.Text = "Courrier"
CALL FontPrint(FontPrintz, Courrier$())

FontPrintz.YPosition = 175
FontPrintz.FgndColor = 37
FontPrintz.Text = "Lucida Typewriter"
CALL FontPrint(FontPrintz, Lucida$())

WHILE INKEY$ <> "": WEND
Wait$ = INPUT$(1)

LINE (0, 0)-(319, 199), 1, BF
FontPrintz.Text = "But That's Not All"
CALL SetFontProperties(FontPrintz, 80, 100, 37, -1, 0, 1, 0)
CALL FontPrint(FontPrintz, TimesRoman$())

SLEEP 2
LINE (0, 0)-(319, 199), 0, BF

FontPrintz.YPosition = 10
FontPrintz.XPosition = 5
FontPrintz.OutLine = 0
FontPrintz.Text = "Special Effects"
CALL FontPrint(FontPrintz, TimesRoman$())

FontPrintz.Text = "Gradient Y-Axis [GRADY]"
FontPrintz.YPosition = 25
FontPrintz.FgndColor = 32
FontPrintz.Effect = Grady
CALL FontPrint(FontPrintz, CharterRoman$())

FontPrintz.Text = "Gradient Y-Axis [GRADY1]"
FontPrintz.YPosition = 40
FontPrintz.FgndColor = 32
FontPrintz.Effect = Grady1
CALL FontPrint(FontPrintz, Helvetica$())

FontPrintz.Text = "Gradient X-Axis [GRADX]"
FontPrintz.YPosition = 55
FontPrintz.FgndColor = 32
FontPrintz.Effect = Gradx
CALL FontPrint(FontPrintz, Helvetica$())

FontPrintz.Text = "Gradient X-Axis [GRADX1]"
FontPrintz.YPosition = 70
FontPrintz.FgndColor = 32
FontPrintz.Effect = Gradx1
CALL FontPrint(FontPrintz, Helvetica$())

FontPrintz.Text = "Gradient X-Axis [GRADX2]"
FontPrintz.YPosition = 85
FontPrintz.FgndColor = 32
FontPrintz.Effect = Gradx2
CALL FontPrint(FontPrintz, Helvetica$())

FontPrintz.Text = "Gradient X&Y-Axis [GRADXY]"
FontPrintz.YPosition = 100
FontPrintz.FgndColor = 32
FontPrintz.Effect = Gradxy
CALL FontPrint(FontPrintz, Helvetica$())

WHILE INKEY$ <> "": WEND
Wait$ = INPUT$(1)
LINE (0, 0)-(319, 199), 1, BF
FontPrintz.Text = "But Even That's Not All"
CALL SetFontProperties(FontPrintz, 60, 100, 37, -1, 0, 1, 0)
CALL FontPrint(FontPrintz, TimesRoman$())

SLEEP 3
LINE (0, 0)-(319, 199), 0, BF
LINE (0, 0)-(319, 30), 2, BF
FontPrintz.Text = "Shadow"
CALL SetFontProperties(FontPrintz, 5, 10, 37, -1, 0, 0, 1)
CALL FontPrint(FontPrintz, TimesRoman$())

FontPrintz.YPosition = 25
FontPrintz.OutLine = 1
FontPrintz.Shadow = 0
FontPrintz.Text = "OutLine"
FontPrintz.Effect = Grady1
CALL FontPrint(FontPrintz, TimesRoman$())

FontPrintz.YPosition = 60
FontPrintz.OutLine = 0
FontPrintz.FgndColor = 32
FontPrintz.Effect = Grady
FontPrintz.Text = "And The Fonts From Xplosion Software"
CALL FontPrint(FontPrintz, TimesRoman$())

FontPrintz.YPosition = 75
FontPrintz.Text = "Hitek"
FontPrintz.Effect = Grady
FontPrintz.FgndColor = 32
CALL FontPrint(FontPrintz, Hitek$())

FontPrintz.YPosition = 90
FontPrintz.Text = "Modern"
FontPrintz.Effect = Gradxy
CALL FontPrint(FontPrintz, Modern$())

FontPrintz.YPosition = 105
FontPrintz.Text = "Qbasic"
FontPrintz.Effect = Gradx
CALL FontPrint(FontPrintz, Qbasic$())

FontPrintz.YPosition = 120
FontPrintz.Text = "Micro"
FontPrintz.Effect = Gradx1
CALL FontPrint(FontPrintz, Micro$())

FontPrintz.YPosition = 135
FontPrintz.Text = "Mythical"
FontPrintz.Effect = Gradx2
CALL FontPrint(FontPrintz, Mythical$())

WHILE INKEY$ <> "": WEND
Wait$ = INPUT$(1)
LINE (0, 0)-(319, 199), 1, BF

FontPrintz.Text = "And Like I Said Before"
CALL SetFontProperties(FontPrintz, 60, 90, 37, -1, 0, 1, 0)
CALL FontPrint(FontPrintz, TimesRoman$())

FontPrintz.YPosition = 110
FontPrintz.XPosition = 100
FontPrintz.Text = "That's Not All"
CALL FontPrint(FontPrintz, TimesRoman$())

SLEEP 3
LINE (0, 0)-(319, 199), 0, BF

FontPrintz.Text = "Simple Font Input Function"
CALL SetFontProperties(FontPrintz, 5, 10, 32, -1, Gradx, 0, 0)
CALL FontPrint(FontPrintz, TimesRoman$())

FontPrintz.YPosition = 25
FontPrintz.XPosition = 5
FontPrintz.Effect = Gradxy
CALL FontInput(FontPrintz, TimesRoman$(), 30)
SLEEP 1
CLS
SHELL "n2splay font.n2s"
SLEEP 3

FontPrintz.Text = "YPI Font Collection v1.0"
CALL SetFontProperties(FontPrintz, 10, 85, 0, -1, Gradx1, 0, 1)

FontPrinty.Text = "philipz85@hotmail.com"
CALL SetFontProperties(FontPrinty, 10, 100, 0, -1, Gradxy, 1, 0)

FontPrintx.Text = "http://members.xoom.com/Philipz/"
CALL SetFontProperties(FontPrintx, 10, 115, 0, -1, Grady, 1, 0)

LINE (0, 0)-(319, 199), 1, BF
FOR Loops = 32 TO 50
   FontPrintz.FgndColor = Loops
   FontPrinty.FgndColor = Loops
   FontPrintx.FgndColor = Loops
   CALL FontPrint(FontPrintz, NewCentury$())
   CALL FontPrint(FontPrintx, TimesRoman$())
   CALL FontPrint(FontPrinty, Mythical$())
NEXT Loops

WHILE INKEY$ <> "": WEND
Wait$ = INPUT$(1)
SCREEN 2: SCREEN 0

LOCATE 6
PRINT " YPI Font Collection v1.0"
PRINT " (c) 1999 by YPI (Basic Programming Inc.)"
PRINT " Font Routines are Public Domain, All Rights Reserved"
PRINT " Programmed by Yousuf Philips"
PRINT " Send suggestions and comments to philipz85@hotmail.com"
PRINT " Visit the YPI (Q)Basic Homepage at http://members.xoom.com/Philipz/"
PRINT " Time taken to load the 11 YPF font files -"; t!; "seconds"
PRINT
PRINT " Special graphical effect created using"
PRINT " N2S (Nothing 2 Something) by YPI"
PRINT
PRINT " Special Thanks To Anthony Stamboulis (Xplosion Software)"
PRINT " Visit Xplosion Software at http://members.xoom.com/xplosionsoft/"
Wait$ = INPUT$(1)

ERASE Courrier$, Lucida$, Helvetica$, NewCentury$, TimesRoman$, CharterRoman$
ERASE Hitek$, Micro$, Modern$, Mythical$, Qbasic$

